Subject: RE: Anti-relay patch

From: Malcolm Tester <[email-masked]>
Date: Tue, 13 Jun 2000 09:46:19 -0600

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hi,

This is both an answer and a question.  I used Sendmail too, with smap/smapd
on Solaris, and ran into some problems with it.  In the process of fixing
it, I came across Postfix, which is a replacement MTA for Sendmail. (and is
compatible).  I installed that, turned off smap/smapd/sendmail, and since
then, I have not run into any problems with relay or hacking with the mail.
So my answer is that you should try Postfix as an alternative.  The process
you connect to on port 25 is not setuid root, and as far as I have been able
to tell, causes no problems.  My question, on the other hand, is: Has anyone
else on this list run Postfix in conjunction with TIS FWTK?  And if so, did
you have any problems, or configuration issues?  And did you turn off
smap/smapd or leave them on?

Regards,
Malcolm W. Tester II

> -----Original Message-----
> From: Michael Linval [mailto:[email-masked]]
> Sent: Tuesday, June 13, 2000 7:24 AM
> To: [email-masked]
> Subject: Anti-relay patch
> 
> 
> [To be removed from this list send the message "unsubscribe 
> fwtk-users" in the
> BODY of a mail message to [email-masked].]
> 
> I know this is a common thread and I have been following the posts
> lately.  I also use smap and smapd with sendmail and have 
> been recently
> targeted for relaying. 
> 
> Being fairly new to the program and Unix in general, I have 
> been unsure
> how to go about the process of patching the software.  I cant seem to
> download the Yao patch and am looking for help/suggestions.
> 
> I am running a Solaris box with 2.7 and sendmail version that comes
> with it.
> 
> Thanks for any help
> 
> Mike Linval
> [email-masked] 
>

---

From: Scott McEachern <[email-masked]>
Date: Tue, 13 Jun 2000 12:21:43 -0400

> smap/smapd or leave them on?

    I gave up on sendmail, between the config and perpetual security issues.
I went with qmail and haven't had a problem yet.  I'm not using smap/smapd at
all.

--
R. Scott McEachern, Network Administrator
J&A Media Services, Inc.,
300 John St., Suite 500
Thornhill, ON, CA.  L3T 5W4
tel: 905-881-6902  fax: 905-881-6945

---

From: dreamwvr <[email-masked]>
Date: Tue, 13 Jun 2000 11:50:07 -0600

hi,
   Agreed i fell in love with postfix the moment i brought it up. it is secure,
scales very well, is a drop in replacement for sendmail. Since Sendmail
batbook made light bedtime reading (i read it page to page.) My first thought 
about postfix was oh..oh this is going to be fun..;-() Guess what it was a 
painless switch. qmail well .. secure is quite diff than sendmail so if someone
has used sendmail well postfix is quite easy to switch to. Don't get me wrong 
djb does some very great stuff but myself well i use postfix. 
postfix = simular minus the sendmail.cf file + less progs to learn does the
same thing IMHO. from the author of tcp_wrappers and postfix is non restricted
sw.. qmail is more restrictive ..
qmail = not simular to sendmail but uniquely diff with lots of
progs to learn..   but if you use lots of djb programs you most likely will be
giving  it a try. 
Both of these guys write excellent security conscious programs..
					Best Regards,
					[email-masked]
-- 
Reuters, London, February 29, 1998:
Scientists have announced discovering a meteorite which will strike the
earth in March, 2028.  Millions of UNIX coders expressed relief for being
spared the UNIX epoch "crisis" of 2038. 
_______________________________________________________________________
 
************** DREAMWVR.COM - TOTAL INTERNET SERVICES ****************
  TOTAL DESIGN - DEVELOPMENT - INTEGRATION - SECURITY - Click Here..
           <http://www.dreamwvr.com/services/MAX_SEC.html>;
   DREAMWVR.COM - The Console of Many... 90 Topics Covered
<http://www.dreamwvr.com/dynamicduo.html>;
<mailto:[email-masked]>;
->> LINUX-MANDRAKE Solution Provider and North American Distributor<<-
                        PRODUCT OF THE YEAR!
<http://www.dreamwvr.com/mandrake/mandrake-main.html>;
 "===0 PGP Key Available
*************** "As Unique as the Company You Keep."*****************
    "If anyone speaks from DREAMWVR.COM its certainly not me:-)"
________________________________________________________________________